SNMPCTL(8)

NAME
snmpctl - control the SNMP daemon

SYNOPSIS
snmpctl [-n] [-s socket] command [arg ...]

DESCRIPTION
The snmpctl program controls the snmpd(8) daemon. Commands may be abbreviated to the minimum unambiguous prefix; for example, s m for show mib.

The options are as follows:

-n  Show numeric OID values instead of their symbolic names.

-s socket
    Use socket instead of the default /var/run/snmpd.sock to communicate with snmpd(8).

The following commands are available:

monitor
    Monitor internal messages of the snmpd(8) subsystems and engines.

show mib
    Dump the tree of compiled-in MIB objects.

    trap send oid-string [oid oid-string type value ...] Send an SNMP trap via snmpd(8) to the registered trap receivers. The command takes one oid-string argument as the trap OID and optional varbind arguments with the specified oid-string, type, and value. The following types are supported:

    ip value
        An IPv4 address.
    counter value
        A 32-bit counter.
    gauge value
        A 32-bit gauge.
    unsigned value
        A 32-bit unsigned integer.
    ticks value
        A 32-bit timeticks integer value.
    opaque value
        A 32-bit opaque.
    nsap value
        A 32-bit NSAP address.
    counter64 value
        A 64-bit counter.
    uint value
        A 32-bit unsigned integer.
    int value
        A 32-bit integer.
    bitstring string
        A bit string.
    string string
        An octet string.
    null
        This type takes no argument.
    oid oid-string
        An string describing an Object ID, for example 1.3.6.1.4.1.30155.

FILES
/var/run/snmpd.sock
    default UNIX-domain socket used for communication with snmpd(8)

SEE ALSO
snmpd(8)

HISTORY
The snmpctl program first appeared in OpenBSD 4.3.

AUTHORS
The snmpctl program was written by Reyk Floeter <reyk@openbsd.org>.